
#include <termios.h>
#include <stdio.h>
#include <fcntl.h>
#include <unistd.h>
#include <errno.h>
#include <string>
#include <string.h>

#ifndef SERIAL

using namespace std;

class serial
{
  public:
    serial(const string& dev, int flag =  O_RDWR | O_NOCTTY | O_NDELAY );
    ~serial();
    int writeport(char *chars);
    int readport(char *result);
    int getbaud();
  protected:
    int fd;
  private:
    serial(){}
    serial(const serial&){}
};

#endif
